> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/vi/tai-nguyen-cho-nha-phat-trien/api-docs/retrieve-current-user-account-details.md).

# Lấy thông tin tài khoản của người dùng hiện tại

Điểm cuối này cho phép bạn lấy chi tiết tài khoản của người dùng hiện đang được xác thực.

## Điểm cuối

```
GET /api/v1/account/
```

## Xác thực

Điểm cuối này yêu cầu xác thực bằng cách sử dụng mã thông báo JWT.

## Yêu cầu

Không cần tham số yêu cầu nào.

## Phản hồi

```json
{
  "id": "user_id",
  "email": "user@example.com",
  "name": "Tên người dùng"
}
```

## Hồ Sơ Người Dùng (Thông Tin Mở Rộng)

Để có thông tin hồ sơ người dùng chi tiết hơn, bạn có thể sử dụng:

```
GET /api/v1/me/
```

### Phản hồi Mở rộng

```json
{
  "id": "username",
  "email": "user@example.com",
  "name": "Tên Người Dùng",
  "user_onboarding_status": 7,
  "dev_onboarding_status": 3,
  "company_name": "Công Ty",
  "website": "https://example.com",
  "bio": "Tiểu sử Người Dùng",
  "team": [
    {
      "id": "team_id", 
      "name": "Tên Nhóm", 
      "image_url": "url", 
      "role": "quản trị viên"
    }
  ],
  "embed_quota": 10000,
  "current_usage": 500,
  "email_verified": true
}
```

## Phản hồi lỗi

| Mã trạng thái | Mô tả                                                        |
| ------------- | ------------------------------------------------------------ |
| 401           | Không được phép - Thông tin xác thực không hợp lệ hoặc thiếu |
| 403           | Bị cấm - Người dùng không có quyền truy cập tài nguyên này   |
| 500           | Lỗi máy chủ nội bộ - Đã xảy ra sự cố trên máy chủ            |

## Ví dụ Sử Dụng

### Sử dụng cURL

```bash
curl -H "Authorization: Bearer YOUR_JWT_TOKEN" https://api.rememberizer.ai/api/v1/account/
```

### Sử dụng JavaScript

```javascript
const response = await fetch('https://api.rememberizer.ai/api/v1/account/', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_JWT_TOKEN'
  }
});
const data = await response.json();
console.log(data);
```

### Sử dụng Python

```python
import requests

headers = {"Authorization": "Bearer YOUR_JWT_TOKEN"}
response = requests.get("https://api.rememberizer.ai/api/v1/account/", headers=headers)
data = response.json()
print(data)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/vi/tai-nguyen-cho-nha-phat-trien/api-docs/retrieve-current-user-account-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
